using SQLite;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FLY.Thick.FilmCasting.UI.DbViewer.Db.ModelAccessory
{
    [Table("ProfileDelete")]
    public class Db_ProfileDelete : IDbBase
    {
        [Key]
        [Index]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 删除时间
        /// </summary>
        [Time]
        [Index]
        [PropertyIndex(1)]
        public DateTime Time { get; set; }

        /// <summary>
        /// profile 表Id
        /// </summary>
        [PropertyIndex(2)]
        public Int64 ProfileID { get; set; }

        /// <summary>
        /// profile 表time， 只有Id 与 time 都一样，才算找到
        /// </summary>
        [PropertyIndex(3)]
        public DateTime ProfileTime { get; set; }
    }
}
